Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webrender
Class ServerDelayMessage

    java.lang.Object
      nextapp.echo2.webrender.ServerDelayMessage

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DefaultServerDelayMessage

    public abstract class ServerDelayMessage

extends java.lang.Object
implements java.io.Serializable

Representation of a client/server-interaction delay message. Client/server-interaction delay messages are presented to the user while the client is communicating synchronously with the server.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELEMENT_ID_LONG_MESSAGE` The element id of the "long delay message" element which will be made visible when the delay pane has been displayed for a set amount of time.
`static java.lang.String` | `ELEMENT_ID_MESSAGE` The element id of the "main delay message" element which will be made visible when the any client/server interaction occurs.

Constructor Summary
`ServerDelayMessage()`

Method Summary
`static ServerDelayMessage` | `createFromResource(java.lang.String resourceName)` Creates a new concrete `ServerDelayMessage` implementation based on the HTML fragment contained in the specified `CLASSPATH` resource
`abstract org.w3c.dom.Element` | `getMessage()` Returns the message content as an HTML element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_ID_MESSAGE

    public static final java.lang.String ELEMENT_ID_MESSAGE

  The element id of the "main delay message" element which will be made visible when the any client/server interaction occurs.

  See Also:
    Constant Field Values

### ELEMENT_ID_LONG_MESSAGE

    public static final java.lang.String ELEMENT_ID_LONG_MESSAGE

  The element id of the "long delay message" element which will be made visible when the delay pane has been displayed for a set amount of time.

  See Also:
    Constant Field Values

Constructor Detail

### ServerDelayMessage

    public ServerDelayMessage()

Method Detail

### createFromResource

    public static ServerDelayMessage createFromResource(java.lang.String resourceName)
                                                 throws java.io.IOException

  Creates a new concrete `ServerDelayMessage` implementation based on the HTML fragment contained in the specified `CLASSPATH` resource

  Parameters:
    `resourceName` - the `CLASSPATH` resource containing the HTML fragment
  Returns:
    the created `ServerDelayMessage`
  Throws:
    `java.io.IOException` - if the resource cannot be found or parsed

### getMessage

    public abstract org.w3c.dom.Element getMessage()

  Returns the message content as an HTML element

  Returns:
    the HTML element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD